%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		bitbake
#Epoch:		0
Version:	1.8.18
Release:	1
License:	GNU/GPLv2
URL:		http://developer.berlios.de/projects/bitbake/
Group:		Development/Tools
Summary:	Build tool executing tasks and managing metadata
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: xmlto
BuildRequires: python26-devel

%description
BitBake is a simple tool for the execution of tasks. It is derived from
Portage, which is the package management system used by the Gentoo Linux
distribution. It is most commonly used to build packages, and is used as the
basis of the OpenEmbedded project.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" /usr/bin/python2.6 setup.py build

# Generating docs
# disabled for now - we don`t have a working copy of pdfxmltex
#make -C doc/manual all

#iconv -f iso-8859-1 -t utf-8 doc/manual/xhtml/docbook.css > docbook.css.tmp
#touch -r doc/manual/xhtml/docbook.css docbook.css.tmp
#mv docbook.css.tmp doc/manual/xhtml/docbook.css

%install
rm -rf %{buildroot}
/usr/bin/python2.6 setup.py install -O1 --skip-build --root %{buildroot}

# We strip bad shebangs (/usr/bin/env) instead of fixing them
# since these files are not executable anyways
find %{buildroot}/%{python_sitelib} -name '*.py' \
  -exec grep -q '^#!' '{}' \; -print | while read F
do
  awk '/^#!/ {if (FNR == 1) next;} {print}' $F >chopped
  touch -r $F chopped
  mv chopped $F
done

# Removing extra docs
rm -rf %{buildroot}%{_docdir}

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/bbimage
%{_bindir}/bitbake
%{_libdir}/python2.6/site-packages/bb/
%{_libdir}/python2.6/site-packages/bitbake-1.8.18-py2.6.egg-info
%{_datadir}/bitbake/classes/base.bbclass
%{_datadir}/bitbake/conf/bitbake.conf


%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Thu Apr 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.8.18-1
- initial CCux package release
